  <template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated style="background: #61cb34; margin-top: 0">
      <q-toolbar style="flex-wrap: wrap!important;">
        <q-toolbar-title class="col-md-9 col-sm-12 col-xs-12 row" style="margin-top: 10px; padding: 0">
          <div class="col-sm-12 col-md-4 col-xs-12 flex flex-center no-wrap" style="text-align: center;">
            <img style="max-width: 10rem; margin-top: 5px" src="~assets/logo_big.png">
            <q-btn @click="kategori1 = true" v-if="!kategori1" color="blue" dense label="Kategori" style="margin-right: 20px;"/>
            <q-btn @click="kategori1 = false" v-if="kategori1" color="blue" dense label="Kategori" style="margin-right: 20px;"/>
          </div>
          <q-select
            v-model="city"
            bg-color="white"
            rounded
            outlined
            clearable
            use-input
            hide-selected
            hide-dropdown-icon
            fill-input
            input-debounce="0"
            placeholder="Lokasi"
            :options="options"
            @filter="filterFnAutoselect"
            @filter-abort="abortFilterFn"
            style="width: 250px"
          >
            <template v-slot:append>
              <q-avatar>
                <q-icon name="search" />
              </q-avatar>
            </template>
            <template v-slot:no-option>
              <q-item>
                <q-item-section class="text-grey">
                  No results
                </q-item-section>
              </q-item>
            </template>
          </q-select>

          <q-input class="col-xs-10 col-sm-10 col-md-4" rounded outlined v-model="cari" bg-color="white" placeholder="Search For item" style="padding: 10px 5px 10px 5px; margin: auto">
            <template v-slot:append>
              <q-avatar>
                <q-icon name="search" />
              </q-avatar>
            </template>
          </q-input>

        </q-toolbar-title>
        <div class="col-md-3 col-sm-12 col-xs-12" style="margin: auto; text-align: center">
          <q-icon name="shopping_cart" style="margin-right: 15px;" size="200%"></q-icon>
          <q-icon name="mode_comment" style="margin-right: 15px;" size="200%"> |</q-icon>
          <q-btn color="red" dense label="Login" style="margin-right: 10px" to="login" />
          <q-btn color="orange" dense label="Registrasi" to="registrasi" />
        </div>

      </q-toolbar>

      <div v-if="kategori1" class="row" style="margin: auto; overflow: scroll; scrollbar-width: none" >
      <div class="row bg-grey-1 no-wrap ">
        <q-img style="width: 170px; min-width: 170px; margin: 5px 0 5px 20px" src="~assets/ALAT_BERAT.png"/>
        <q-img style="width: 170px; min-width: 170px; margin: 5px 0 5px 20px" src="~assets/ASURANSI.png"/>
        <q-img style="width: 170px; min-width: 170px; margin: 5px 0 5px 20px" src="~assets/BANK.png"/>
        <q-img style="width: 170px; min-width: 170px; margin: 5px 0 5px 20px" src="~assets/DEVELOPER.png"/>
        <q-img style="width: 170px; min-width: 170px; margin: 5px 0 5px 20px" src="~assets/INVESTOR.png"/>
        <q-img style="width: 170px; min-width: 170px; margin: 5px 0 5px 20px" src="~assets/KONSULTAN.png"/>
        <q-img style="width: 170px; min-width: 170px; margin: 5px 0 5px 20px" src="~assets/KONTRAKTOR.png"/>
        <q-img style="width: 170px; min-width: 170px; margin: 5px 0 5px 20px" src="~assets/MANDOR.png"/>
        <q-img style="width: 170px; min-width: 170px; margin: 5px 0 5px 20px" src="~assets/PEDAGANG_MATERIAL.png"/>
        <q-img style="width: 170px; min-width: 170px; margin: 5px 20px 5px 20px" src="~assets/TUKANG.png"/>
      </div>
      </div>
    </q-header>



    <q-page-container>
      <router-view @changeLocation="changeLocation" />
    </q-page-container>
  </q-layout>
</template>

<script>
import EssentialLink from 'components/EssentialLink.vue'

const linksData = [
  {
    title: 'API',
    caption: 'api.jarkons.com',
    icon: 'school',
    link: 'http://api.jarkons.com/'
  }
];

export default {
  name: 'MainLayout',
  components: { EssentialLink },
  data () {
    return {
      city: null,
      cari: null,
      kategori1: false,
      leftDrawerOpen: false,
      essentialLinks: linksData
    }
  },

  methods: {
    changeLocation: function (data) {
      this.city = data
    }
  }
}
</script>
